package gov.va.med.esr.common.persistent.hibernate;

import gov.va.med.esr.common.batchprocess.NCOAAddressVerificationFileSummary;
import gov.va.med.fw.model.AbstractKeyedEntity;

/**
 * Test case for NCOAAddressVerificationFileSummary persistence
 * 
 * @author Rajiv Patnaik
 * Created on Mar 9, 2006
 * @version 1.0
 * 
 * Copyright © 2006 VHA. All rights reserved
 */
public class NCOAAddressVerificationFileSummaryTestCase extends
        AbstractKeyedEntityDAOTestCase
{

    /* (non-Javadoc)
     * @see gov.va.med.esr.common.persistent.hibernate.AbstractKeyedEntityDAOTestCase#setUpTestObject()
     */
    protected AbstractKeyedEntity setUpTestObject() throws Exception
    {
        NCOAAddressVerificationFileSummary testObj = new NCOAAddressVerificationFileSummary();
        testObj.setCountOfRecordsScreened(100);
        testObj.setCountOfRecordsExcluded(30);
        testObj.setCountOfRecordsDeceased(5);
        testObj.setCountOfRecordsAfterScreening(70);
        
        return testObj;
    }

    /* (non-Javadoc)
     * @see gov.va.med.esr.common.persistent.hibernate.AbstractKeyedEntityDAOTestCase#modifyTestObject(gov.va.med.fw.model.AbstractKeyedEntity)
     */
    protected void modifyTestObject(AbstractKeyedEntity obj) throws Exception
    {
        NCOAAddressVerificationFileSummary testObj = (NCOAAddressVerificationFileSummary)obj;
        testObj.setCountOfRecordsDeceased(10);
    }

}
